Last modified: 2013-09-21 15:57:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34960 - drop unused fields recentchanges.rc_moved_to_ns and recentchanges.rc_moved_to_title
drop unused fields recentchanges.rc_moved_to_ns and recentchanges.rc_moved_to...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.20.x
All All
: Lowest enhancement (vote)
: ---
Assigned To: Umherirrender
: schema-change
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2012-03-04 15:57 UTC by db [inactive,noenotif]
Modified: 2013-09-21 15:57 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2012-03-04 15:57:33 UTC
The fields rc_moved_to_ns and rc_moved_to_title of the recentchanges table are always set to 0 and empty string. The comment in tables.sql is "These may no longer be used, with the new move log."

Please drop that unused fields from the database.

Thanks.
Comment 1 Umherirrender 2012-08-06 20:54:47 UTC
Gerrit change #17894
Comment 2 Umherirrender 2012-10-01 16:27:48 UTC
successfully merged
Comment 3 Andre Klapper 2013-08-29 10:27:25 UTC
Hmm, wondering if this would welcome any work to cover this in some upgrade scripts, seeing user confusion in  https://www.mediawiki.org/wiki/Manual:Recentchanges_table#rc_moved_to_ns and https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Database_error_after_updating_to_1.21.1
Comment 5 Umherirrender 2013-08-29 17:49:30 UTC
Field is defaultable, that means, you can remove it from your insert statement and that will not break. Thats why wmf can still use this columns.
The message sounds like it is used in a select or insert and not in the database. That can only be happen, when downgrad your installation from 1.21 to 1.20.
Comment 6 Gerrit Notification Bot 2013-09-01 11:10:33 UTC
Change 82117 had a related patch set uploaded by Martineznovo:
drop unused fields rc_moved_to_ns/rc_moved_to_title

https://gerrit.wikimedia.org/r/82117
Comment 7 Gerrit Notification Bot 2013-09-21 02:46:25 UTC
Change 82117 merged by Reedy:
drop unused fields rc_moved_to_ns/rc_moved_to_title

https://gerrit.wikimedia.org/r/82117

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links